#pragma once

#include <a8/singleton.h>

class CacheMgr : public a8::Singleton<CacheMgr>
{
 public:
    enum { HID = HID_CacheMgr };

 private:
    CacheMgr() {};
    friend class a8::Singleton<CacheMgr>;

 public:

    void Init();
    void UnInit();

 private:
    std::map<std::string, std::shared_ptr<UserInfo>> account_id_hash_;

};
